export declare class ApiQueryFilters {
    PageIndex: number | null;
    PageSize: number | null;
    SortBy: string | null;
    SortDirection: string | null;
    GetCount: boolean | null;
    Tenant: number | null;
    AdditionalFilters: FilterItem[];
    ForceCacheRefresh: boolean;
    DontApplyVirtualization: boolean;
    addAdditionalFilter(FieldName: string, FieldValue: any, FieldValue2: any, FieldValue3: any, Operator: string, IsCustom: boolean, DisplayInList: boolean, IsCustomField: boolean, FieldDataType: string, IgnoreFilter?: boolean, IsCacheOnClient?: boolean, ForceEnableAdd?: boolean): void;
    myReplace(myString: string): string;
    removeAdditionalFilter(FieldName: string): void;
    pushAdditionalFilter(params: ApiQueryFiltersAddParams): void;
    queryId: string;
    queryCode: string;
    userid: string;
    ObjectTableName: string;
    Filter1Name: string | null;
    Filter1Value: any;
    Filter1Operator: string | null;
    Filter1Value2: any;
    Filter2Name: any;
    Filter2Value: any;
    Filter2Operator: any;
    Filter2Value2: any;
    Filter3Name: any;
    Filter3Value: any;
    Filter3Operator: any;
    Filter3Value2: any;
    Filter4Name: any;
    Filter4Value: any;
    Filter4Operator: any;
    Filter4Value2: any;
    Filter5Name: any;
    Filter5Value: any;
    Filter5Operator: any;
    Filter5Value2: any;
    Filter6Name: any;
    Filter6Value: any;
    Filter6Operator: any;
    Filter6Value2: any;
    Filter7Name: any;
    Filter7Value: any;
    Filter7Operator: any;
    Filter7Value2: any;
    Filter8Name: any;
    Filter8Value: any;
    Filter8Operator: any;
    Filter8Value2: any;
    Filter9Name: any;
    Filter9Value: any;
    Filter9Operator: any;
    Filter9Value2: any;
    Filter10Name: any;
    Filter10Value: any;
    Filter10Operator: any;
    Filter10Value2: any;
    GetAll: boolean;
}
export declare class FilterItem {
    FieldName: string;
    FieldValue: any;
    FieldValue2: any;
    FieldValue3: any;
    Operator: string;
    IsCustom: boolean;
    DisplayInList: boolean;
    IsCustomField: boolean;
    FieldDataType: string;
    IgnoreFilter: boolean;
    IsCacheOnClient: boolean;
    IsLookUpfilter: boolean;
    constructor(FieldName: string, FieldValue: any, FieldValue2: any, FieldValue3: any, Operator: string, IsCustom: boolean, DisplayInList: boolean, IsCustomField: boolean, FieldDataType: string, IgnoreFilter: boolean, IsCacheOnClient?: boolean, IsLookUpfilter?: boolean);
}
export declare class ApiQueryFiltersAddParams {
    FieldName: string;
    FieldValue: any;
    FieldValue2: any;
    FieldValue3: any;
    Operator: string;
    IsCustom: boolean;
    DisplayInList: boolean;
    IsCustomField: boolean;
    FieldDataType: string;
    IgnoreFilter: boolean;
    IsCacheOnClient: boolean;
    ForceEnableAdd: boolean;
    IsLookUpFilter: boolean;
}
