/// <reference types="react" />
import "./styles.module.css";
import { ReactWidgetPM } from './types/widget';
import { DashboardDataBinding } from './types/DashboardDataBinding';
import { DataPointSelection } from './types/SeriesMeasure';
declare type DashboardProps = {
    token: string;
    tenant: number;
    userId: string;
    dataBinding: DashboardDataBinding;
    onChangeLayouts: (layouts: {
        lg: ReactWidgetPM[];
    }) => void;
    openEditWidget: (Widget: ReactWidgetPM) => void;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const Dashboard: (props: DashboardProps) => JSX.Element;
export default Dashboard;
