import { BehaviorSubject, Subject } from "rxjs";
import { ReactWidgetPM } from "./widget";
export declare type DashboardDataBinding = {
    onGetLayouts: BehaviorSubject<{
        lg: ReactWidgetPM[];
    }>;
    isOnEditLayout: Subject<boolean>;
    widgetUpdated: Subject<ReactWidgetPM>;
    onAddWidget: Subject<ReactWidgetPM>;
    onEditWidget: Subject<ReactWidgetPM>;
};
